Package org.apache.felix.http.base.internal.runtime

## Class ListenerInfo

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.AbstractInfo<T>
  - - org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo<EventListener>
    - - org.apache.felix.http.base.internal.runtime.ListenerInfo

All Implemented Interfaces:
  `Comparable<AbstractInfo<EventListener>>`

    public class ListenerInfo
    extends WhiteboardServiceInfo<EventListener>

Info object for registered listeners.

### Constructor Summary

Constructors
`ListenerInfo​(org.osgi.framework.ServiceReference<EventListener> ref)` Constructor for http whiteboard

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getListenerTypes()`
`boolean` `isListenerType​(@NotNull String className)`
`boolean` `isSame​(AbstractInfo<EventListener> other)` Compare two info objects
`boolean` `isValid()`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo

`getContextSelection, getContextSelectionFilter`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListenerInfo

    public ListenerInfo​(org.osgi.framework.ServiceReference<EventListener> ref)

Constructor for http whiteboard

Parameters:
  `ref` - The service reference

### Method Detail

#### isValid

    public boolean isValid()

Overrides:
  `isValid` in class `WhiteboardServiceInfo<EventListener>`

#### getListenerTypes

    public String[] getListenerTypes()

#### isListenerType

    public boolean isListenerType​(@NotNull
                                  @NotNull String className)

#### isSame

    public boolean isSame​(AbstractInfo<EventListener> other)

Description copied from class: `AbstractInfo`
Compare two info objects

Overrides:
  `isSame` in class `WhiteboardServiceInfo<EventListener>`